3 Replies Latest reply: Oct 6, 2012 2:17 AM by Klaus1
Papasmurph Level 1 Level 1 (0 points)

How can I get my iphone 4s to connct to my itunes? Says I need the 10.6.3 so I down loaded itunes 10.7 which tells me I need a 10.6.3 operating system and my mac is only a 10.5.8. What do I need to do?


iMac, Mac OS X (10.5.8)